Bug 106642 - major ext3 filesystem corruption
major ext3 filesystem corruption
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 21:00 EDT by Geoff Silver
Modified: 2015-01-04 17:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoff Silver 2003-10-08 21:00:42 EDT
Description of problem:

Major ext3 filesystem corruption results in an unusable system.

Version-Release number of selected component (if applicable):

kernel-2.4.20-20.9.  Other kernels *may* cause this - I have not had the time to
verify it.

How reproducible:

I've had this happen three times on two different systems within the last week.
 I believe the following will reproduce it, however, it may take some "tweaking"
to get things to break.

Steps to Reproduce:

I believe the following steps will recreate the issue - 
1. Install new system
2. Update kernel, possibly also glibc
3. Boot into new kernel
4. Update a large number of packages, or do some intensive disk writes.

On both systems that have had corruption, I have done the following - 
1. Installed new system
2. Ran up2date -u to grab all new packages   
3. Booted into new kernel
4. Did some disk-intensive reads/writes
 
Actual results:

Massive ext3 filesystem corruption on /.  Daemons would stop working. 
Applications segfault (when glibc  is corrupted), etc.  Mounting / as read-only
and running fsck fixes the disk, but ends up moving ~300-350MB of files into
lost+found.  System becomes unusable.

Additional info:

I have Red Hat 9 installed on 3 systems.  Two have had problems (one twice), the
other is fine.  Could this be a hdparm tuning issue?  kernel IDE
motherboard/driver bug?  Both broken system have had 40GB drives (I can provide
model numbers - not sure if they are identical).  One is definitely a "Maxtor
6E040L0, ATA DISK drive".  Something else perhaps?  I'm leaning towards hdparm
tuning or the kernel IDE drivers, but I'm not an expert.  The installs are
defaults (no special changes made at all).

Actual errors, dmesg output, hardware info, etc available upon request.
Comment 1 Dave Jones 2003-10-08 21:22:23 EDT
>Actual errors, dmesg output, hardware info, etc available upon request.

Please do. lspci & dmesg output, and any other errors which made it to the logs.

You mention you adjusted parameters with hdparm. What parameters did you use?
Does this happen if you don't do that ?

Is this definitly not reproducable with the stock RHL9 kernel ?
(Indicating a regression in the update kernel)

Comment 2 Geoff Silver 2004-01-14 09:31:52 EST
I have this with two systems.  My primary system info is below - it is
a KT266A (AMD) VIA motherboard.  The other system is an Intel P4 with
ICH4 IDE chipset.  The second machine is running Debian Unstable right
now with no issues, but I can get dmesg/lspci info for that system as
well.  The second system is a stock Compaq D510 desktop.

Kyle Powell (kpowell@redhat.com) does on-site support here at my work
and has seen this happen on my desktop.  He, however, has a different
system with an ICH4 chipset and has NOT experienced the issue.

I am about 98% sure the problem is directly related to DMA and/or
ATA/100 with some Maxtor and Western Digital hard drives, as swapping
between Maxtor and Western Digital gave the same result.

BTW, I do not know if any other errors make it into the logs.  Usually
once this happens, the system "works", though some files which have
been replaced are unreadable or corrupt.  I've never seen any errors
sent to syslog during this ordeal.  In particular I notice that 'rpm'
will hang when the DB gets corrupted during this process, and will no
longer function.  If I boot single, mount read-only, and run fsck, the
drive will have massive filesystem corruption (pretty much any fsck
error you can think of).  Once that happens, the system usually
becomes unbootable and, of course, since I'm running fsck in single
user with drives mounted read-only, nothing gets logged.

lspci:

00:00.0 Host bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo
KT266/A/333]
00:01.0 PCI bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo
KT266/A/333 AGP]
00:09.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
00:0a.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m
(rev 01)
00:0a.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m
(rev 01)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8233 PCI to ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC
Bus Master IDE (rev 06)
00:11.2 USB Controller: VIA Technologies, Inc. USB (rev 1b)
00:11.3 USB Controller: VIA Technologies, Inc. USB (rev 1b)
00:11.4 USB Controller: VIA Technologies, Inc. USB (rev 1b)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233
AC97 Audio Controller (rev 30)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP
(rev 04)

As it turns out, using hdparm to disable DMA does NOT fix the problem,
though it did seem to delay the problem from reappearing for a while.
 This is 100% reproducible with the stock RH9 kernel (2.4.20-6), the
updated kernels (eg. 2.4.20-20.9), and the RHEL 3.0 workstation
kernels.  All I need to do is build the system, then run up2date.  The
problem *only* occurs when overwriting existing files, and seems to
only occur on heavy writes.

Last set of boot logs.  Please note that I'm no longer using the
original Maxtor IDE drive because of the filesystem corruption - the
problem disappears when using SCSI:

Dec 14 20:04:17 bender kernel: klogd 1.4.1, log source = /proc/kmsg
started.
Dec 14 20:04:17 bender kernel: Linux version 2.4.20-6
(bhcompile@porky.devel.red
hat.com) (gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 Thu
Feb 27 10:0
6:59 EST 2003
Dec 14 20:04:17 bender kernel: BIOS-provided physical RAM map:
Dec 14 20:04:17 bender kernel:  BIOS-e820: 0000000000000000 -
000000000009fc00 (
usable)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 000000000009fc00 -
00000000000a0000 (
reserved)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 00000000000f0000 -
0000000000100000 (
reserved)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 0000000000100000 -
000000001fff0000 (
usable)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 000000001fff0000 -
000000001fff3000 (
ACPI NVS)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 000000001fff3000 -
0000000020000000 (
ACPI data)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 00000000fec00000 -
00000000fec01000 (
reserved)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 00000000fee00000 -
00000000fee01000 (
reserved)
Dec 14 20:04:17 bender kernel:  BIOS-e820: 00000000ffff0000 -
0000000100000000 (
reserved)
Dec 14 20:04:17 bender syslog: klogd startup succeeded
Dec 14 20:04:17 bender kernel: 0MB HIGHMEM available.
Dec 14 20:04:17 bender kernel: 511MB LOWMEM available.
Dec 14 20:04:17 bender kernel: On node 0 totalpages: 131056
Dec 14 20:04:17 bender kernel: zone(0): 4096 pages.
Dec 14 20:04:17 bender rpc.statd[3160]: Version 1.0.1 Starting
Dec 14 20:04:17 bender nfslock: rpc.statd startup succeeded
Dec 14 20:04:17 bender kernel: zone(1): 126960 pages.
Dec 14 20:04:18 bender kernel: zone(2): 0 pages.
Dec 14 20:04:18 bender keytable: Loading keymap:
Dec 14 20:04:18 bender kernel: Kernel command line: ro root=LABEL=/
Dec 14 20:04:18 bender keytable:
Dec 14 20:04:18 bender rpc.statd[3160]: unable to register (statd, 1,
udp).
Dec 14 20:04:18 bender kernel: Initializing CPU#0
Dec 14 20:04:18 bender keytable:
Dec 14 20:04:18 bender kernel: Detected 1401.755 MHz processor.
Dec 14 20:04:18 bender rc: Starting keytable:  succeeded
Dec 14 20:04:18 bender kernel: Console: colour VGA+ 80x25
Dec 14 20:04:18 bender kernel: Calibrating delay loop... 2798.38 BogoMIPS
Dec 14 20:04:18 bender random: Initializing random number generator: 
succeeded
Dec 14 20:04:18 bender kernel: Memory: 511220k/524224k available
(1347k kernel c
ode, 10440k reserved, 999k data, 132k init, 0k highmem)
Dec 14 20:04:18 bender kernel: Dentry cache hash table entries: 65536
(order: 7,
 524288 bytes)
Dec 14 20:04:18 bender rc: Starting pcmcia:  succeeded
Dec 14 20:04:18 bender kernel: Inode cache hash table entries: 32768
(order: 6,
262144 bytes)
Dec 14 20:04:18 bender netfs: Mounting other filesystems:  succeeded
Dec 14 20:04:18 bender kernel: Mount cache hash table entries: 512
(order: 0, 40
96 bytes)
Dec 14 20:04:18 bender kernel: Buffer-cache hash table entries: 32768
(order: 5,
 131072 bytes)
Dec 14 20:04:18 bender kernel: Page-cache hash table entries: 131072
(order: 7,
524288 bytes)
Dec 14 20:04:18 bender kernel: CPU: L1 I Cache: 64K (64 bytes/line), D
cache 64K
 (64 bytes/line)
Dec 14 20:04:18 bender autofs: automount startup succeeded
Dec 14 20:04:18 bender kernel: CPU: L2 Cache: 256K (64 bytes/line)
Dec 14 20:04:18 bender kernel: Intel machine check architecture supported.
Dec 14 20:04:18 bender kernel: Intel machine check reporting enabled
on CPU#0.
Dec 14 20:04:19 bender kernel: CPU: AMD Athlon(tm) XP 1600+ stepping 02
Dec 14 20:04:19 bender kernel: Enabling fast FPU save and restore... done.
Dec 14 20:04:19 bender kernel: Enabling unmasked SIMD FPU exception
support... d
one.
Dec 14 20:04:19 bender kernel: Checking 'hlt' instruction... OK.
Dec 14 20:04:19 bender kernel: POSIX conformance testing by UNIFIX
Dec 14 20:04:19 bender kernel: mtrr: v1.40 (20010327) Richard Gooch
(rgooch@atnf
.csiro.au)
Dec 14 20:04:19 bender kernel: mtrr: detected mtrr type: Intel
Dec 14 20:04:19 bender kernel: PCI: PCI BIOS revision 2.10 entry at
0xfb430, las
t bus=1
Dec 14 20:04:19 bender kernel: PCI: Using configuration type 1
Dec 14 20:04:19 bender kernel: PCI: Probing PCI hardware
Dec 14 20:04:19 bender kernel: PCI: Using IRQ router default
[1106/3099] at 00:0
0.0
Dec 14 20:04:19 bender kernel: isapnp: Scanning for PnP cards...
Dec 14 20:04:19 bender kernel: isapnp: No Plug & Play device found
Dec 14 20:04:19 bender kernel: Linux NET4.0 for Linux 2.4
Dec 14 20:04:19 bender kernel: Based upon Swansea University Computer
Society NE
T3.039
Dec 14 20:04:19 bender kernel: Initializing RT netlink socket
Dec 14 20:04:19 bender kernel: apm: BIOS version 1.2 Flags 0x07
(Driver version
1.16)
Dec 14 20:04:19 bender kernel: Starting kswapd
Dec 14 20:04:19 bender kernel: VFS: Disk quotas vdquot_6.5.1
Dec 14 20:04:19 bender kernel: pty: 2048 Unix98 ptys configured
Dec 14 20:04:19 bender kernel: Serial driver version 5.05c
(2001-07-08) with MAN
Y_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI ISAPNP enabled
Dec 14 20:04:19 bender kernel: ttyS0 at 0x03f8 (irq = 4) is a 16550A
Dec 14 20:04:19 bender kernel: ttyS1 at 0x02f8 (irq = 3) is a 16550A
Dec 14 20:04:19 bender kernel: Real Time Clock Driver v1.10e
Dec 14 20:04:19 bender kernel: Floppy drive(s): fd0 is 1.44M
Dec 14 20:04:19 bender kernel: FDC 0 is a post-1991 82077
Dec 14 20:04:19 bender kernel: NET4: Frame Diverter 0.46
Dec 14 20:04:19 bender kernel: RAMDISK driver initialized: 16 RAM
disks of 4096K
 size 1024 blocksize
Dec 14 20:04:19 bender kernel: Uniform Multi-Platform E-IDE driver
Revision: 7.0
0beta-2.4
Dec 14 20:04:19 bender kernel: ide: Assuming 33MHz system bus speed
for PIO mode
s; override with idebus=xx
Dec 14 20:04:19 bender kernel: VP_IDE: IDE controller at PCI slot 00:11.1
Dec 14 20:04:19 bender kernel: VP_IDE: chipset revision 6
Dec 14 20:04:19 bender kernel: VP_IDE: not 100%% native mode: will
probe irqs la
ter
Dec 14 20:04:19 bender kernel: ide: Assuming 33MHz system bus speed
for PIO mode
s; override with idebus=xx
Dec 14 20:04:19 bender kernel: VP_IDE: VIA vt8233 (rev 00) IDE UDMA100
controlle
r on pci00:11.1
Dec 14 20:04:19 bender kernel:     ide0: BM-DMA at 0xdc00-0xdc07, BIOS
settings:
 hda:pio, hdb:pio
Dec 14 20:04:19 bender kernel:     ide1: BM-DMA at 0xdc08-0xdc0f, BIOS
settings:
 hdc:pio, hdd:pio
Dec 14 20:04:19 bender kernel: hdd: IOMEGA ZIP 100 ATAPI, ATAPI FLOPPY
drive
Dec 14 20:04:19 bender kernel: ide1 at 0x170-0x177,0x376 on irq 15
Dec 14 20:04:19 bender kernel: ide-floppy driver 0.99.newide
Dec 14 20:04:19 bender kernel: hdd: No disk in drive
Dec 14 20:04:19 bender kernel: hdd: 98304kB, 32/64/96 CHS, 4096 kBps,
512 sector
 size, 2941 rpm
Dec 14 20:04:20 bender kernel: ide-floppy driver 0.99.newide
Dec 14 20:04:20 bender kernel: md: md driver 0.90.0 MAX_MD_DEVS=256,
MD_SB_DISKS
=27
Dec 14 20:04:20 bender sshd:  succeeded
Dec 14 20:04:20 bender kernel: md: Autodetecting RAID arrays.
Dec 14 20:03:36 bender rc.sysinit: -e
Dec 14 20:04:20 bender kernel: md: autorun ...
Dec 14 20:03:36 bender rc.sysinit: Mounting proc filesystem:  succeeded
Dec 14 20:04:20 bender kernel: md: ... autorun DONE.
Dec 14 20:03:36 bender rc.sysinit: Unmounting initrd:  succeeded
Dec 14 20:04:20 bender kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Dec 14 20:03:36 bender sysctl: net.ipv4.ip_forward = 0
Dec 14 20:04:20 bender kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Dec 14 20:03:36 bender sysctl: net.ipv4.conf.default.rp_filter = 1
Dec 14 20:04:20 bender kernel: IP: routing cache hash table of 4096
buckets, 32K
bytes
Dec 14 20:03:36 bender sysctl: kernel.sysrq = 0
Dec 14 20:04:20 bender kernel: TCP: Hash tables configured
(established 32768 bi
nd 65536)
Dec 14 20:03:36 bender sysctl: kernel.core_uses_pid = 1
Dec 14 20:04:20 bender kernel: Linux IP multicast router 0.06 plus PIM-SM
Dec 14 20:03:36 bender rc.sysinit: Configuring kernel parameters: 
succeeded
Dec 14 20:04:20 bender kernel: NET4: Unix domain sockets 1.0/SMP for
Linux NET4.
0.
Dec 14 20:03:36 bender date: Sun Dec 14 20:03:30 EST 2003
Dec 14 20:03:36 bender rc.sysinit: Setting clock  (utc): Sun Dec 14
20:03:30 EST
 2003 succeeded
Dec 14 20:03:36 bender rc.sysinit: Loading default keymap succeeded
Dec 14 20:03:36 bender rc.sysinit: Setting hostname
bender.uslinux.net:  succeed
ed
Dec 14 20:04:20 bender kernel: RAMDISK: Compressed image found at block 0
Dec 14 20:03:36 bender rc.sysinit: Initializing USB controller
(usb-uhci):  succ
eeded
Dec 14 20:04:20 bender kernel: Freeing initrd memory: 272k freed
Dec 14 20:04:21 bender kernel: VFS: Mounted root (ext2 filesystem).
Dec 14 20:03:36 bender rc.sysinit: Mounting USB filesystem:  succeeded
Dec 14 20:04:21 bender kernel: SCSI subsystem driver Revision: 1.00
Dec 14 20:04:21 bender kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI
SCSI HBA DRI
VER, Rev 6.2.8
Dec 14 20:03:36 bender rc.sysinit: Initializing USB HID interface: 
succeeded
Dec 14 20:04:21 bender kernel:         <Adaptec 3960D Ultra160 SCSI
adapter>
Dec 14 20:04:21 bender kernel:         aic7899: Ultra160 Wide Channel
A, SCSI Id
=7, 32/253 SCBs
Dec 14 20:03:36 bender rc.sysinit: Initializing USB keyboard:  succeeded
Dec 14 20:04:21 bender kernel:
Dec 14 20:04:21 bender kernel: scsi1 : Adaptec AIC7XXX EISA/VLB/PCI
SCSI HBA DRI
VER, Rev 6.2.8
Dec 14 20:03:36 bender rc.sysinit: Initializing USB mouse:  succeeded
Dec 14 20:04:21 bender kernel:         <Adaptec 3960D Ultra160 SCSI
adapter>
Dec 14 20:03:36 bender fsck: /: clean, 170448/960992 files,
762867/1919759 block
s
Dec 14 20:04:21 bender kernel:         aic7899: Ultra160 Wide Channel
B, SCSI Id
=7, 32/253 SCBs
Dec 14 20:03:36 bender rc.sysinit: Checking root filesystem succeeded
Dec 14 20:04:21 bender kernel:
Dec 14 20:03:36 bender rc.sysinit: Remounting root filesystem in
read-write mode
:  succeeded
Dec 14 20:04:21 bender kernel: blk: queue c256ea14, I/O limit 4095Mb
(mask 0xfff
fffff)
Dec 14 20:03:36 bender rc.sysinit: Activating swap partitions:  succeeded
Dec 14 20:04:21 bender kernel:   Vendor: COMPAQ    Model: BD03695A27 
      Rev:
 HPB3
Dec 14 20:04:21 bender kernel:   Type:   Direct-Access               
      ANSI
 SCSI revision: 03
Dec 14 20:03:37 bender rc.sysinit: Finding module dependencies:  succeeded
Dec 14 20:04:21 bender kernel: blk: queue c256ec14, I/O limit 4095Mb
(mask 0xfff
fffff)
Dec 14 20:03:38 bender devlabel: devlabel service started/restarted
Dec 14 20:04:21 bender kernel:   Vendor: QUANTUM   Model: ATLAS 10K
18WLS   Rev:
 UCH0
Dec 14 20:03:39 bender fsck: /opt: recovering journal
Dec 14 20:04:21 bender kernel:   Type:   Direct-Access               
      ANSI
 SCSI revision: 02
Dec 14 20:04:21 bender kernel: blk: queue dfdc2014, I/O limit 4095Mb
(mask 0xfff
fffff)
Dec 14 20:03:39 bender fsck: /scratch: recovering journal
Dec 14 20:04:21 bender kernel:   Vendor: TOSHIBA   Model: CD-ROM
XM-6201TA  Rev:
 1037
Dec 14 20:03:39 bender fsck: /opt: clean, 809/1048576 files,
64436/2096482 block
s
Dec 14 20:04:21 bender kernel:   Type:   CD-ROM                      
      ANSI
 SCSI revision: 02
Dec 14 20:04:21 bender kernel: blk: queue dfdc2414, I/O limit 4095Mb
(mask 0xfff
fffff)
Dec 14 20:03:39 bender fsck: /home: recovering journal
Dec 14 20:04:21 bender kernel:   Vendor: YAMAHA    Model: CRW4416S   
      Rev:
 1.0g
Dec 14 20:04:21 bender kernel:   Type:   CD-ROM                      
      ANSI
 SCSI revision: 02
Dec 14 20:03:40 bender fsck: /scratch
Dec 14 20:04:21 bender kernel: blk: queue dfdc2814, I/O limit 4095Mb
(mask 0xfff
fffff)
Dec 14 20:03:40 bender fsck:  has been mounted 34 times without being
checked, c
heck forced.
Dec 14 20:03:42 bender fsck: /home:
Dec 14 20:03:42 bender fsck: Clearing orphaned inode 866865 (uid=502,
gid=502, m
ode=0100664, size=0)
Dec 14 20:03:42 bender fsck: /home: Clearing orphaned inode 866855
(uid=502, gid
=502, mode=0100664, size=0)
Dec 14 20:04:21 bender kernel: scsi0:A:0:0: Tagged Queuing enabled. 
Depth 253
Dec 14 20:03:42 bender fsck: /home: clean, 22076/2305632 files,
931046/4610647 b
locks
Dec 14 20:04:22 bender kernel: scsi0:A:1:0: Tagged Queuing enabled. 
Depth 253
Dec 14 20:03:59 bender fsck: /scratch: /lost+found not found.  CREATED.
Dec 14 20:04:22 bender kernel: Attached scsi disk sda at scsi0,
channel 0, id 0,
 lun 0
Dec 14 20:04:00 bender fsck: /scratch: 3734/2244608 files (0.6%
non-contiguous),
 252351/4484135 blocks
Dec 14 20:04:22 bender kernel: Attached scsi disk sdb at scsi0,
channel 0, id 1,
 lun 0
Dec 14 20:04:22 bender kernel: (scsi0:A:0): 40.000MB/s transfers
(20.000MHz, off
set 63, 16bit)
Dec 14 20:04:02 bender rc.sysinit: Checking filesystems succeeded
Dec 14 20:04:22 bender kernel: SCSI device sda: 71132000 512-byte hdwr
sectors (
36420 MB)
Dec 14 20:04:02 bender rc.sysinit: Mounting local filesystems:  succeeded
Dec 14 20:04:22 bender kernel: Partition check:
Dec 14 20:04:02 bender rc.sysinit: Enabling local filesystem quotas: 
succeeded
Dec 14 20:04:22 bender kernel:  sda: sda1 sda2 sda3 sda4 < sda5 >
Dec 14 20:04:03 bender rc.sysinit: Enabling swap space:  succeeded
Dec 14 20:04:22 bender kernel: (scsi0:A:1): 40.000MB/s transfers
(20.000MHz, off
set 31, 16bit)
Dec 14 20:04:04 bender init: Entering runlevel: 5
Dec 14 20:04:22 bender kernel: SCSI device sdb: 35877972 512-byte hdwr
sectors (
18370 MB)
Dec 14 20:04:14 bender kudzu:  succeeded
Dec 14 20:04:22 bender kernel:  sdb: sdb1
Dec 14 20:04:14 bender kudzu: Updating /etc/fstab succeeded
Dec 14 20:04:22 bender kernel: Journalled Block Device driver loaded
Dec 14 20:04:22 bender kernel: EXT3-fs: INFO: recovery required on
readonly file
system.
Dec 14 20:04:15 bender sysctl: net.ipv4.ip_forward = 0
Dec 14 20:04:22 bender kernel: EXT3-fs: write access will be enabled
during reco
very.
Dec 14 20:04:22 bender kernel: kjournald starting.  Commit interval 5
seconds
Dec 14 20:04:15 bender sysctl: net.ipv4.conf.default.rp_filter = 1
Dec 14 20:04:22 bender kernel: EXT3-fs: recovery complete.
Dec 14 20:04:22 bender kernel: EXT3-fs: mounted filesystem with
ordered data mod
e.
Dec 14 20:04:15 bender sysctl: kernel.sysrq = 0
Dec 14 20:04:22 bender kernel: Freeing unused kernel memory: 132k freed
Dec 14 20:04:22 bender kernel: usb.c: registered new driver usbdevfs
Dec 14 20:04:15 bender sysctl: kernel.core_uses_pid = 1
Dec 14 20:04:22 bender kernel: usb.c: registered new driver hub
Dec 14 20:04:15 bender network: Setting network parameters:  succeeded
Dec 14 20:04:22 bender kernel: usb-uhci.c: $Revision: 1.275 $ time
10:11:09 Feb
27 2003
Dec 14 20:04:15 bender network: Bringing up loopback interface:  succeeded
Dec 14 20:04:23 bender kernel: usb-uhci.c: High bandwidth mode enabled
Dec 14 20:04:17 bender network: Bringing up interface eth0:  succeeded
Dec 14 20:04:23 bender kernel: usb-uhci.c: USB UHCI at I/O 0xe000, IRQ 11
Dec 14 20:04:23 bender kernel: usb-uhci.c: Detected 2 ports
Dec 14 20:04:23 bender kernel: usb.c: new USB bus registered, assigned
bus numbe
r 1
Dec 14 20:04:23 bender kernel: hub.c: USB hub found
Dec 14 20:04:23 bender kernel: hub.c: 2 ports detected
Dec 14 20:04:23 bender kernel: usb-uhci.c: USB UHCI at I/O 0xe400, IRQ 11
Dec 14 20:04:23 bender kernel: usb-uhci.c: Detected 2 ports
Dec 14 20:04:23 bender kernel: usb.c: new USB bus registered, assigned
bus numbe
r 2
Dec 14 20:04:23 bender kernel: hub.c: USB hub found
Dec 14 20:04:23 bender kernel: hub.c: 2 ports detected
Dec 14 20:04:23 bender kernel: usb-uhci.c: USB UHCI at I/O 0xe800, IRQ 11
Dec 14 20:04:23 bender kernel: usb-uhci.c: Detected 2 ports
Dec 14 20:04:23 bender kernel: usb.c: new USB bus registered, assigned
bus numbe
r 3
Dec 14 20:04:23 bender kernel: hub.c: USB hub found
Dec 14 20:04:23 bender kernel: hub.c: 2 ports detected
Dec 14 20:04:23 bender xinetd: xinetd startup succeeded
Dec 14 20:04:23 bender kernel: usb-uhci.c: v1.275:USB Universal Host
Controller
Interface driver
Dec 14 20:04:23 bender kernel: usb.c: registered new driver hiddev
Dec 14 20:04:23 bender kernel: usb.c: registered new driver hid
Dec 14 20:04:23 bender kernel: hid-core.c: v1.8.1 Andreas Gal, Vojtech
Pavlik <v
ojtech@suse.cz>
Dec 14 20:04:23 bender kernel: hid-core.c: USB HID support drivers
Dec 14 20:04:23 bender kernel: mice: PS/2 mouse device common for all mice
Dec 14 20:04:23 bender kernel: hub.c: new USB device 00:11.2-1,
assigned address
 2
Dec 14 20:04:23 bender kernel: hub.c: USB hub found
Dec 14 20:04:23 bender kernel: hub.c: 4 ports detected
Dec 14 20:04:23 bender kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on
sd(8,1), in
ternal journal
Dec 14 20:04:23 bender kernel: Adding Swap: 1052248k swap-space
(priority -1)
Dec 14 20:04:23 bender kernel: kjournald starting.  Commit interval 5
seconds
Dec 14 20:04:23 bender kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on
sd(8,3), in
ternal journal
Dec 14 20:04:23 bender kernel: EXT3-fs: mounted filesystem with
ordered data mod
e.
Dec 14 20:04:23 bender kernel: kjournald starting.  Commit interval 5
seconds
Dec 14 20:04:23 bender kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on
sd(8,5), in
ternal journal
Dec 14 20:04:23 bender kernel: EXT3-fs: mounted filesystem with
ordered data mod
e.
Dec 14 20:04:23 bender kernel: kjournald starting.  Commit interval 5
seconds
Dec 14 20:04:23 bender kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on
sd(8,17), i
nternal journal
Dec 14 20:04:23 bender kernel: EXT3-fs: mounted filesystem with
ordered data mod
e.
Dec 14 20:04:23 bender kernel: parport0: PC-style at 0x378 (0x778)
[PCSPP,TRISTA
TE,EPP]
Dec 14 20:04:24 bender kernel: parport0: irq 7 detected
Dec 14 20:04:24 bender kernel: parport0: Printer, Hewlett-Packard HP
LaserJet 5L
Dec 14 20:04:24 bender kernel: Attached scsi CD-ROM sr0 at scsi0,
channel 0, id
2, lun 0
Dec 14 20:04:24 bender kernel: Attached scsi CD-ROM sr1 at scsi0,
channel 0, id
4, lun 0
Dec 14 20:04:24 bender kernel: (scsi0:A:2): 10.000MB/s transfers
(10.000MHz, off
set 16)
Dec 14 20:04:24 bender kernel: sr0: scsi-1 drive
Dec 14 20:04:24 bender kernel: Uniform CD-ROM driver Revision: 3.12
Dec 14 20:04:24 bender kernel: (scsi0:A:4): 8.333MB/s transfers
(8.333MHz, offse
t 31)
Dec 14 20:04:24 bender kernel: sr1: scsi3-mmc drive: 16x/16x writer
cd/rw xa/for
m2 cdda tray
Dec 14 20:04:24 bender kernel: Device not ready.  Make sure there is a
disc in t
he drive.
Dec 14 20:04:24 bender kernel: ip_tables: (C) 2000-2002 Netfilter core
team
Dec 14 20:04:24 bender kernel: 3c59x: Donald Becker and others.
www.scyld.com/ne
twork/vortex.html
Dec 14 20:04:24 bender kernel: See Documentation/networking/vortex.txt
Dec 14 20:04:24 bender kernel: 00:09.0: 3Com PCI 3c905 Boomerang
100baseTx at 0x
d000. Vers LK1.1.18-ac
Dec 14 20:04:24 bender kernel:  00:10:4b:d1:f7:d0, IRQ 11
Dec 14 20:04:24 bender kernel:   product code 4d4e rev 00.0 date 06-12-98
Dec 14 20:04:24 bender kernel:   8K word-wide RAM 3:5 Rx:Tx split,
autoselect/MI
I interface.
Dec 14 20:04:24 bender kernel:   MII transceiver found at address 24,
status 786
f.
Dec 14 20:04:24 bender kernel:   Enabling bus-master transmits and
whole-frame r
eceives.
Dec 14 20:04:24 bender kernel: 00:09.0: scatter/gather enabled. h/w
checksums di
sabled
Dec 14 20:04:24 bender kernel: ip_tables: (C) 2000-2002 Netfilter core
team
Dec 14 20:04:24 bender kernel: ip_tables: (C) 2000-2002 Netfilter core
team
Dec 14 20:04:24 bender xinetd[3268]: pmap_set failed. service=sgi_fam
program=39
1002 version=2
Dec 14 20:04:25 bender xinetd[3268]: xinetd Version 2.3.11 started
with libwrap
loadavg options compiled in.
Dec 14 20:04:25 bender xinetd[3268]: Started working: 0 available services
Dec 14 20:04:44 bender ntpdate[3281]: can't find host clock.redhat.com
Dec 14 20:04:44 bender ntpdate[3281]: no servers can be used, exiting
Dec 14 20:04:44 bender ntpd:  failed
Dec 14 20:04:44 bender ntpd: ntpd startup succeeded
Dec 14 20:04:44 bender ntpd[3285]: ntpd 4.1.1c-rc1@1.836 Thu Feb 13
12:17:19 EST
 2003 (1)
Dec 14 20:04:44 bender ntpd[3285]: precision = 14 usec
Dec 14 20:04:44 bender ntpd[3285]: kernel time discipline status 0040
Dec 14 20:04:44 bender ntpd[3285]: frequency initialized 72.877 from
/etc/ntp/dr
ift
Dec 14 20:04:45 bender sendmail: sendmail startup succeeded
Dec 14 20:04:45 bender sendmail: sm-client startup succeeded
Dec 14 20:04:45 bender gpm: gpm startup succeeded
Dec 14 20:04:45 bender vpn: Starting VPN services: module directory
/lib/modules
/2.4.20-6/COMPvpn not found.
Dec 14 20:04:45 bender rc: Starting vpn:  failed
Dec 14 20:04:45 bender crond: crond startup succeeded
Dec 14 20:04:46 bender kernel: parport0: PC-style at 0x378 (0x778)
[PCSPP,TRISTA
TE,EPP]
Dec 14 20:04:46 bender kernel: parport0: irq 7 detected
Dec 14 20:04:46 bender kernel: parport0: Printer, Hewlett-Packard HP
LaserJet 5L
Dec 14 20:04:46 bender kernel: lp0: using parport0 (polling).
Dec 14 20:04:46 bender kernel: lp0: console ready
Dec 14 20:04:47 bender modprobe: modprobe: Can't locate module
char-major-188
Dec 14 20:04:47 bender last message repeated 15 times
Dec 14 20:04:47 bender cups: cupsd startup succeeded
Dec 14 20:04:47 bender xfs: xfs startup succeeded
Dec 14 20:04:47 bender anacron: anacron startup succeeded
Dec 14 20:04:48 bender atd: atd startup succeeded
Dec 14 20:04:48 bender xfs: ignoring font path element
/usr/X11R6/lib/X11/fonts/
cyrillic (unreadable)
Dec 14 20:04:48 bender rhnsd[3440]: Red Hat Network Services Daemon
starting up.
Dec 14 20:04:48 bender rhnsd: rhnsd startup succeeded
Dec 14 20:04:50 bender modprobe: modprobe: Can't locate module
char-major-226
Dec 14 20:04:50 bender last message repeated 3 times
Dec 14 20:04:50 bender kernel: Linux agpgart interface v0.99 (c) Jeff
Hartmann
Dec 14 20:04:50 bender kernel: agpgart: Maximum main memory to use for
agp memor
y: 439M
Dec 14 20:04:50 bender kernel: agpgart: Detected Via Apollo Pro KT266
chipset
Dec 14 20:04:50 bender kernel: agpgart: AGP aperture is 32M @ 0xe0000000
Dec 14 20:04:50 bender kernel: [drm] AGP 0.99 on VIA Apollo KT133 @
0xe0000000 3
2MB
Dec 14 20:04:50 bender kernel: [drm] Initialized mga 3.0.2 20010321 on
minor 0
Dec 14 20:05:28 bender gdm(pam_unix)[3495]: session opened for user
christi by (
uid=0)
Dec 14 20:05:36 bender kernel: Via 686a/8233/8235 audio driver 1.9.1-ac2
Dec 14 20:05:36 bender kernel: via82cxxx: Six channel audio available
Dec 14 20:05:36 bender kernel: ac97_codec: AC97 Audio codec, id: ICE17
(ICE1232)
Dec 14 20:05:36 bender kernel: via82cxxx: board #1 at 0xEC00, IRQ 5
Dec 14 20:05:36 bender modprobe: modprobe: Can't locate module
sound-service-0-0
Dec 14 20:05:36 bender modprobe: modprobe: Can't locate module
sound-slot-1
Dec 14 20:05:36 bender modprobe: modprobe: Can't locate module
sound-service-1-0
Dec 14 20:05:36 bender modprobe: modprobe: Can't locate module
sound-slot-1
Dec 14 20:05:36 bender modprobe: modprobe: Can't locate module
sound-service-1-0
Comment 3 Bugzilla owner 2004-09-30 11:41:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.